## org.eclipse.datatools.connectivity.ui.actions
Class ViewPropertyAction

    java.lang.Object
      Action
          org.eclipse.datatools.connectivity.ui.actions.ViewPropertyAction

public class ViewPropertyAction
extends Action

Author:
  shongxum
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `MEMENTO_DIALOG_SIZE_HEIGHT`
`static java.lang.String` `MEMENTO_DIALOG_SIZE_WIDTH`
`static java.lang.String` `MEMENTO_ROOT`

Constructor Summary
`ViewPropertyAction(Viewer viewer)` Constructor

Method Summary
`java.lang.Object` `getSelectedObject()`
`static boolean` `hasContributors(java.lang.Object selected)`
`void` `run()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MEMENTO_ROOT

    public static final java.lang.String MEMENTO_ROOT

See Also:
  Constant Field Values

### MEMENTO_DIALOG_SIZE_HEIGHT

    public static final java.lang.String MEMENTO_DIALOG_SIZE_HEIGHT

See Also:
  Constant Field Values

### MEMENTO_DIALOG_SIZE_WIDTH

    public static final java.lang.String MEMENTO_DIALOG_SIZE_WIDTH

See Also:
  Constant Field Values

Constructor Detail

### ViewPropertyAction

    public ViewPropertyAction(Viewer viewer)

  Constructor

Method Detail

### hasContributors

    public static boolean hasContributors(java.lang.Object selected)

### run

    public void run()

### getSelectedObject

    public java.lang.Object getSelectedObject()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.